import { Actions, PolicyStatement, ResourceTypes } from "./shared";
/**
 * Action provider for service elastic-inference
 *
 * https://docs.aws.amazon.com/IAM/latest/UserGuide/list_amazonelasticinference.html
 */
export declare class ElasticInference extends PolicyStatement {
    servicePrefix: string;
    actions: Actions;
    resourceTypes: ResourceTypes;
    /**
     * Connects customer to Elastic Inference accelerator
     *
     * Access Level: Write
     */
    connect(): this;
}
